Scriptname _CNO_DetectionScript extends ActiveMagicEffect

_CNO_MCM Property Mcm Auto
_CNO_MainScript Property MainScr Auto

Event OnForceCheckOutfit()
	MainScr.CNO_Log("[CNO] - OnForceCheckOutfit")
	Self.Dispel()
EndEvent

Event OnEffectStart(Actor akTarget, Actor akCaster)
	RegisterForModEvent("ForceCheckOutfit", "OnForceCheckOutfit")
	if Mcm.InteriorOnly == False
		MainScr.CNO_Log("[CNO] - OnEffectStart - " + akTarget.GetName() + " - " + akTarget.GetFormID())
		if akTarget.GetFactionRank(MainScr.BanditFaction) >= 0 && akTarget.GetFactionRank(MainScr.BanditFaction) != 99 && Mcm.PostSpawnedBandit
			if !StorageUtil.FormListHas(none, "CNO_SavedActors_Bandit", akTarget)
				Int TotalWeight = Mcm.BanditOutfitChance_1 + Mcm.BanditOutfitChance_2 + Mcm.BanditOutfitChance_3 + Mcm.BanditOutfitChance_4 + Mcm.BanditOutfitChance_5
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TotalWeight: " + TotalWeight)
				Int TempRandInt = Utility.RandomInt(0, TotalWeight)
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TempRandInt: " + TempRandInt)
				if (TempRandInt <= Mcm.BanditOutfitChance_1) && Mcm.BanditOutfitIndex_1 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 1")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_1)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandits")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.BanditOutfitChance_1
				endif
				if (TempRandInt <= Mcm.BanditOutfitChance_2) && Mcm.BanditOutfitIndex_2 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 2")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_2)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandits")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.BanditOutfitChance_2
				endif
				if (TempRandInt <= Mcm.BanditOutfitChance_3) && Mcm.BanditOutfitIndex_3 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 3")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_3)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandits")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.BanditOutfitChance_3
				endif
				if (TempRandInt <= Mcm.BanditOutfitChance_4) && Mcm.BanditOutfitIndex_4 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 4")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_4)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandits")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.BanditOutfitChance_4
				endif
				if Mcm.BanditOutfitIndex_5 != -1 && Mcm.BanditOutfitChance_4 != 0
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 5")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_5)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandits")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			endif
		elseif akTarget.GetFactionRank(MainScr.ForswornFaction) >= 0 && akTarget.GetFactionRank(MainScr.ForswornFaction) != 99 && Mcm.PostSpawnedForsworn
			if  !StorageUtil.FormListHas(none, "CNO_SavedActors_Forsworn", akTarget)
				Int TotalWeight = Mcm.ForswornOutfitChance_1 + Mcm.ForswornOutfitChance_2 + Mcm.ForswornOutfitChance_3 + Mcm.ForswornOutfitChance_4 + Mcm.ForswornOutfitChance_5
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TotalWeight: " + TotalWeight)
				Int TempRandInt = Utility.RandomInt(0, TotalWeight)
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TempRandInt: " + TempRandInt)
				if (TempRandInt <= Mcm.ForswornOutfitChance_1) && Mcm.ForswornOutfitIndex_1 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 11")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_11)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Forsworn")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.ForswornOutfitChance_1
				endif
				if (TempRandInt <= Mcm.ForswornOutfitChance_2) && Mcm.ForswornOutfitIndex_2 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 12")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_12)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Forsworn")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.ForswornOutfitChance_2
				endif
				if (TempRandInt <= Mcm.ForswornOutfitChance_3) && Mcm.ForswornOutfitIndex_3 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 13")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_13)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Forsworn")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.ForswornOutfitChance_3
				endif
				if (TempRandInt <= Mcm.ForswornOutfitChance_4) && Mcm.ForswornOutfitIndex_4 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 14")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_14)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Forsworn")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.ForswornOutfitChance_4
				endif
				if Mcm.ForswornOutfitIndex_5 != -1 && Mcm.ForswornOutfitChance_4 != 0
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 15")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_15)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Forsworn")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			endif
		elseif akTarget.GetFactionRank(MainScr.VampireFaction) >= 0 && akTarget.GetFactionRank(MainScr.VampireFaction) != 99 && Mcm.PostSpawnedVampire
			if !StorageUtil.FormListHas(none, "CNO_SavedActors_Vampire", akTarget)
				Int TotalWeight = Mcm.VampireOutfitChance_1 + Mcm.VampireOutfitChance_2 + Mcm.VampireOutfitChance_3 + Mcm.VampireOutfitChance_4 + Mcm.VampireOutfitChance_5
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TotalWeight: " + TotalWeight)
				Int TempRandInt = Utility.RandomInt(0, TotalWeight)
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TempRandInt: " + TempRandInt)
				if (TempRandInt <= Mcm.VampireOutfitChance_1) && Mcm.VampireOutfitIndex_1 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 21")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_21)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.VampireOutfitChance_1
				endif
				if (TempRandInt <= Mcm.VampireOutfitChance_2) && Mcm.VampireOutfitIndex_2 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 22")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_22)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.VampireOutfitChance_2
				endif
				if (TempRandInt <= Mcm.VampireOutfitChance_3) && Mcm.VampireOutfitIndex_3 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 23")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_23)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.VampireOutfitChance_3
				endif
				if (TempRandInt <= Mcm.VampireOutfitChance_4) && Mcm.VampireOutfitIndex_4 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 24")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_24)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.VampireOutfitChance_4
				endif
				if Mcm.VampireOutfitIndex_5 != -1 && Mcm.VampireOutfitChance_4 != 0
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 25")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_25)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			endif
		elseif akTarget.IsInFaction(MainScr.ImperialFaction) && akTarget.GetFactionRank(MainScr.ImperialFaction) != 99 && Mcm.PostSpawnedImperial
			if  !StorageUtil.FormListHas(none, "CNO_SavedActors_Imperial", akTarget)
				Int TotalWeight = Mcm.ImperialOutfitChance_1 + Mcm.ImperialOutfitChance_2 + Mcm.ImperialOutfitChance_3 + Mcm.ImperialOutfitChance_4 + Mcm.ImperialOutfitChance_5
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TotalWeight: " + TotalWeight)
				Int TempRandInt = Utility.RandomInt(0, TotalWeight)
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TempRandInt: " + TempRandInt)
					if (TempRandInt <= Mcm.ImperialOutfitChance_1) && Mcm.ImperialOutfitIndex_1 != -1
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 31")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Imperial", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_31)
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Imperial")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
						return
					else
						TempRandInt -= Mcm.ImperialOutfitChance_1
					endif
					if (TempRandInt <= Mcm.ImperialOutfitChance_2) && Mcm.ImperialOutfitIndex_2 != -1
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 32")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Imperial", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_32)
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Imperial")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
						return
					else
						TempRandInt -= Mcm.ImperialOutfitChance_2
					endif
					if (TempRandInt <= Mcm.ImperialOutfitChance_3) && Mcm.ImperialOutfitIndex_3 != -1
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 33")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Imperial", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_33)
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Imperial")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
						return
					else
						TempRandInt -= Mcm.ImperialOutfitChance_3
					endif
					if (TempRandInt <= Mcm.ImperialOutfitChance_4) && Mcm.ImperialOutfitIndex_4 != -1
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 34")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Imperial", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_34)
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Imperial")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
						return
					else
						TempRandInt -= Mcm.ImperialOutfitChance_4
					endif
					if Mcm.ImperialOutfitIndex_5 != -1 && Mcm.ImperialOutfitChance_4 != 0
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 35")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Imperial", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_35)
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Imperial")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
						return
					endif
			endif
		elseif akTarget.IsInFaction(MainScr.StormcloakFaction) && akTarget.GetFactionRank(MainScr.StormcloakFaction) != 99 && Mcm.PostSpawnedStormcloak
			if  !StorageUtil.FormListHas(none, "CNO_SavedActors_Stormcloak", akTarget)
				Int TotalWeight = Mcm.StormcloakOutfitChance_1 + Mcm.StormcloakOutfitChance_2 + Mcm.StormcloakOutfitChance_3 + Mcm.StormcloakOutfitChance_4 + Mcm.StormcloakOutfitChance_5
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TotalWeight: " + TotalWeight)
				Int TempRandInt = Utility.RandomInt(0, TotalWeight)
				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TempRandInt: " + TempRandInt)
				if (TempRandInt <= Mcm.StormcloakOutfitChance_1) && Mcm.StormcloakOutfitIndex_1 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 41")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Stormcloak", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_41)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.StormcloakOutfitChance_1
				endif
				if (TempRandInt <= Mcm.StormcloakOutfitChance_2) && Mcm.StormcloakOutfitIndex_2 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 42")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Stormcloak", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_42)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.StormcloakOutfitChance_2
				endif
				if (TempRandInt <= Mcm.StormcloakOutfitChance_3) && Mcm.StormcloakOutfitIndex_3 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 43")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Stormcloak", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_43)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.StormcloakOutfitChance_3
				endif
				if (TempRandInt <= Mcm.StormcloakOutfitChance_4) && Mcm.StormcloakOutfitIndex_4 != -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 44")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Stormcloak", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_44)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				else
					TempRandInt -= Mcm.StormcloakOutfitChance_4
				endif
				if Mcm.StormcloakOutfitIndex_5 != -1 && Mcm.StormcloakOutfitChance_4 != 0
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 45")
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Stormcloak", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_45)
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			endif
		endif
	endif
EndEvent